
Redmine - Patch #11847

Autologin if have back_url

2012-09-17 07:20 - Serg Fedosov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 90%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Description

Example, when user run browser with a lot of old tabs of redmine, he see in each 'login form'. He fills one of them falls into a

redmine. When it updates the other tab, where the url like a 'login?back_url=' is triggered to autologout. But he wanted to go to .

I'm fix this. If user logged and have back_url he will be redirect to as he wants

Related issues:

Related to Redmine - Patch #12611: Login link unexpected logs you out Closed

History

#1 - 2013-03-04 11:43 - Filou Centrinov

Related to #12611

#2 - 2014-01-25 13:39 - Jean-Philippe Lang

- Status changed from New to Closed

Fixed in r12705 (see #15926).

Files

autologin.patch 689 Bytes 2012-09-17 Serg Fedosov

Powered by TCPDF (www.tcpdf.org)

2025-08-23 1/1

https://www.redmine.org/issues/12611
https://www.redmine.org/projects/redmine/repository/svn/revisions/12705
https://www.redmine.org/issues/15926
http://www.tcpdf.org

